Bug 1488915 (CVE-2017-13728) - CVE-2017-13728 ncurses: Infinite loop in the next_char function
Summary: CVE-2017-13728 ncurses: Infinite loop in the next_char function
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-13728
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170823,reported=2...
: 1484274 (view as bug list)
Depends On: 1484274 1488923
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 13:05 UTC by Andrej Nemec
Modified: 2019-06-08 22:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:24:27 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-09-06 13:05:40 UTC
There is an infinite loop in the next_char function in comp_scan.c in ncurses 6.0, related to libtic. A crafted input will lead to a denial of service attack.

Bug report:

https://bugzilla.redhat.com/show_bug.cgi?id=1484274

Comment 1 Andrej Nemec 2017-09-06 13:11:58 UTC
Created ncurses tracking bugs for this issue:

Affects: fedora-all [bug 1488923]

Comment 2 Miroslav Lichvar 2018-07-27 15:24:05 UTC
*** Bug 1484274 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.